using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Graphic;

namespace HumanLikeBattleRobots.Logic
{
    abstract class Bonus: IOtherObjects
    {
        private Vec2f position;
        protected BonusSprite sprite;

        public Bonus(Vec2f position)
        {
            this.position = position;
            GameManager.otherObjects.Add(this);
        }
        public void Draw()
        {
            sprite.Draw();
        }

        public void Proceed()
        {
            if (this.position.Distance(GameManager.myRobot.Position) <= 50)
                ApplyBonus();
        }

        protected abstract void ApplyBonus();


        public int Stage()
        {
            return 1;
        }
    }
}
